<script>
	import Multiselect from '@vueform/multiselect'
	import '@vueform/multiselect/themes/default.css'
	import { inject } from 'vue';

	export default {
	  components: {
	    Multiselect,
	  },
	  setup(props) {
	  const csrf = inject('csrf');

    
    

	  return {
	    csrf,
	  };
	},
	  data() {

	    return {
        TipoPersona: this.variables.particular.tipoPersonaId,
        TipoPersonaNombre:this.variables.particular.tipoPersona.valor,

	    RFC: this.variables.particular.rfc,
        nombreRazonSocial: this.variables.particular.nombreRazonSocial,
        numeroTelefonico: this.variables.particular.telefono,
        objetoSocial: this.variables.particular?.objetoSocial,
        ID: '',
        sancionID:'',
	    CURP: '',
        nombres: '',
        puesto:'',
        nivel:'',
        genero:'',
        expediente:'',
        autoridadSancionadora:'',
        observaciones:'',
        causa:'',
        fechaResolucion:'',
        urlResolucion:'',

        apoderadosData: this.variables.particular.apoderadosLegales,
        directoresData: this.variables.particular.directoresGenerales,
        

		datosTabla: [],
        datosDomiciliosMexico: this.variables.particular.domiciliosMexico,
        datosDomiciliosExtranjero: this.variables.particular.domiciliosExtranjero,

		Institucion:'',
        DomiciliosMexico: this.variables.particular?.domiciliosMexico,
	    DomiciliosExtranjero: this.variables.particular?.domiciliosExtranjero,
		
		
        otro:null,
        plazo:'',
        edicionHabilitadaDatosPersonales: false,
        camposDeshabilitadosDatosPersonales: true,

        multaId: '',

        inhabilitacionId: '',

        


	    }
	  },
	  props: {
	    variables: Object,
      
	},
	watch: {
	

	},

	mounted(){
	  const csrf = inject('csrf');
	   this.datosTabla = this.variables.particular.sanciones;

	},
	methods: {


    detalles(id){

window.location.href = route('sanciones.show',id);


},


	},

    created() {
        
        if(this.DomiciliosExtranjero.length > 0) {

            this.DomiciliosExtranjero = true;
            console.log(this.DomiciliosExtranjero)
        }else{
            this.DomiciliosExtranjero = false
            console.log(this.DomiciliosExtranjero)
        }

        if(this.DomiciliosMexico.length > 0) {

            this.DomiciliosMexico = true;
            console.log(this.DomiciliosMexico)
        
            
        }else{this.DomiciliosMexico = false;
            console.log(this.DomiciliosMexico)


        }
  
  },

  


	}

</script>


<template>
        <!-- start page title -->
        <div class="row">
          <div class="col-12">
            <div class="page-title-box d-sm-flex align-items-center justify-content-between">
              <h4 class="mb-sm-0 font-size-18">Detalle de Particular</h4>
            </div>
          </div>
        </div>
        <!-- end page title -->




            <!-- Contenido de la primera pestaña -->
            <div class="card">
                <div class="card-body">
                  <ul class="nav nav-pills nav-justified mb-3" id="pills-tab" role="tablist">
                    <li class="nav-item" role="presentation">
                      <button class="nav-link active" id="pills-home-tab" data-bs-toggle="pill" data-bs-target="#pills-home" type="button" role="tab" aria-controls="pills-home" aria-selected="true">Datos personales</button>
                    </li>
                    <li class="nav-item" v-if="TipoPersona == 2" role="presentation">
                        <button class="nav-link" id="pills-profile-tab" data-bs-toggle="pill"  data-bs-target="#pills-mexico" type="button" role="tab" aria-controls="pills-profile" aria-selected="false">Domicilio</button>
                      </li>
                    <li class="nav-item" role="presentation">
                      <button class="nav-link" id="pills-profile-tab" data-bs-toggle="pill" data-bs-target="#pills-profile" type="button" role="tab" aria-controls="pills-profile" aria-selected="false">Sanciones</button>
                    </li>
                  </ul>
                  <div class="tab-content" id="pills-tabContent">
                    <div class="tab-pane fade show active" id="pills-home" role="tabpanel" aria-labelledby="pills-home-tab">
                      
                      <h4 class="card-title mb-4">Datos personales</h4>
                      <div class="row">

                        <div class="col-md-2">
                            <div class="mb-3">
                              <label for="validationCustom03" class="form-label">Tipo de persona</label>
                              <div class="input-group">
                                <input name="tipoPersona" type="text"  class="form-control" v-model="TipoPersonaNombre" disabled>
                                </div>
                              </div>
                          </div>
                          <div class="col-md-3" hidden>
                            <div class="mb-3">
                              <label for="validationCustom03" class="form-label">ID</label>
                              <div class="input-group">
                                <input name="id" type="text" class="form-control" placeholder="ID" v-model="ID"/>
                                </div>
                              </div>
                          </div>
                          <div class="col-md-2">
                            <div class="mb-3">
                              <label for="validationCustom02" class="form-label">RFC</label>
                              <input name="rfc" type="text"  class="form-control" v-model="RFC" disabled>
                              <div class="valid-feedback">
                                ¡Se ve bien!
                              </div>
                            </div>
                          </div>
                          <div class="col-md-6" v-if="TipoPersona == 1">
                            <div class="mb-3">
                              <label for="validationCustom02"  class="form-label">Nombre O Razon social</label>
                              <input name="nombreRazonSocial" type="text" disabled v-model="nombreRazonSocial" class="form-control" required>
                              <div class="valid-feedback">
                                ¡Se ve bien!
                              </div>
                            </div>
                          </div>
  
                          <div class="col-md-6" v-if="TipoPersona == 2">
                            <div class="mb-3">
                              <label for="validationCustom02" class="form-label">Razón Social</label>
                              <input name="nombreRazonSocial" v-model="nombreRazonSocial" disabled type="text" class="form-control" id="validationCustom02" placeholder="Nombre o Razón Social" required>
                              <div class="valid-feedback">
                                ¡Se ve bien!
                              </div>
                            </div>
                          </div>
    
                          <div class="col-md-2">
                            <div class="mb-3">
                              <label for="validationCustom02" class="form-label">Número Telefonico</label>
                              <input name="telefono" type="text"  v-model="numeroTelefonico" class="form-control"  disabled>
                              <div class="valid-feedback">
                                ¡Se ve bien!
                              </div>
                            </div>
                          </div>
  
                          <div class="col-md-12" v-if="TipoPersona == 2">
                            <div class="mb-3">
                              <label for="validationCustom02" class="form-label">Objeto Social</label>
                              <input name="objetoSocial" v-model="objetoSocial" disabled type="text" class="form-control" id="validationCustom02" placeholder="Ingrese el Objeto social">
                              <div class="valid-feedback">
                                ¡Se ve bien!
                              </div>
                            </div>
                          </div>

                          <h4 class="card-title mb-4" v-if="TipoPersona == 2">Apoderado legal</h4>

                          <div class="row" v-if="TipoPersona == 2" v-for="(apoderado, index) in apoderadosData" :key="index">
                            <div class="col-md-3">
                              <div class="mb-3">
                                <label :for="'titulo-' + index" class="form-label">CURP</label>
                                <input :name="'titulo'" v-model="apoderado.curp" disabled type="text" class="form-control" :id="'titulo-' + index" placeholder="Ingrese el titulo">
                              </div>
                            </div>
                            <div class="col-md-3">
                              <div class="mb-3">
                                <label :for="'descripcion-' + index" class="form-label">Nombre</label>
                                <input :name="'descripcion'" v-model="apoderado.nombres" disabled type="text" class="form-control" :id="'descripcion-' + index" placeholder="Ingrese la Descripcion">
                              </div>
                            </div>
                            <div class="col-md-3">
                              <div class="mb-3">
                                <label :for="'url-' + index" class="form-label">Primer apellido</label>
                                <input :name="'url'" v-model="apoderado.primerApellido" type="text" disabled class="form-control" :id="'url-' + index" placeholder="Ingrese la url">
                              </div>
                            </div>
                            <div class="col-md-3">
                              <div class="mb-3">
                                <label :for="'fecha-' + index" class="form-label">Segundo apellido</label>
                                <input :name="'fecha'" v-model="apoderado.segundoApellido" disabled type="text" class="form-control" placeholder="Ingrese la fecha">
                              </div>
                            </div>
                      
                          </div>

                          <h4 class="card-title mb-4" v-if="TipoPersona == 2">Directores generales</h4>

                          <div class="row" v-if="TipoPersona == 2" v-for="(director, index) in directoresData" :key="index">
                            <div class="col-md-3">
                              <div class="mb-3">
                                <label :for="'titulo-' + index" class="form-label">CURP</label>
                                <input :name="'titulo'" v-model="director.curp" disabled type="text" class="form-control" :id="'titulo-' + index" placeholder="Ingrese el titulo">
                              </div>
                            </div>
                            <div class="col-md-3">
                              <div class="mb-3">
                                <label :for="'descripcion-' + index" class="form-label">Nombre</label>
                                <input :name="'descripcion'" v-model="director.nombres" disabled type="text" class="form-control" :id="'descripcion-' + index" placeholder="Ingrese la Descripcion">
                              </div>
                            </div>
                            <div class="col-md-3">
                              <div class="mb-3">
                                <label :for="'url-' + index" class="form-label">Primer apellido</label>
                                <input :name="'url'" v-model="director.primerApellido" type="text" disabled class="form-control" :id="'url-' + index" placeholder="Ingrese la url">
                              </div>
                            </div>
                            <div class="col-md-3">
                              <div class="mb-3">
                                <label :for="'fecha-' + index" class="form-label">Segundo apellido</label>
                                <input :name="'fecha'" v-model="director.segundoApellido" disabled type="text" class="form-control" placeholder="Ingrese la fecha">
                              </div>
                            </div>
                      
                          </div>


                      </div>



                    </div>

                    <div class="tab-pane fade" v-if="TipoPersona == 2" id="pills-mexico" role="tabpanel" aria-labelledby="pills-contact-tab">

                        <div class="row" v-for="(datosDomicilioMex, index) in datosDomiciliosMexico" :key="index">
                            <h4 class="card-title mb-4">Domicilio en México</h4>
                          <div class="row" v-if="TipoPersona == 2">
                            
        
                          <div class="row" v-if="DomiciliosMexico && TipoPersona == 2">
                            <div class="col-md-3">
                              <div class="mb-3">
                                <label for="validationCustom03" class="form-label">Codigo Postal</label>
                                <div class="input-group">
                                  <input name="codigoPostal" v-model="datosDomicilioMex.codigoPostal"  disabled type="text" class="form-control" id="validationCustom03" placeholder="Codigo postal"/>
                                  <button class="btn btn-primary" type="button" disabled  id="BuscarCPDetalle" @click="buscarCodigoPostal">Buscar</button>
                                  </div> 
                                </div>
                            </div>
                            <div class="col-md-3" v-if="DomiciliosMexico && datosDomicilioMex.entidadFederativa">
                              <div class="mb-3">
                                <label for="validationCustom04" class="form-label">Entidad federativa</label>
                                <input type="text" class="form-control" id="validationCustom04" placeholder="" v-model="datosDomicilioMex.entidadFederativa.valor" disabled/>
                                <input name="entidadFederativaId" type="text" class="form-control" id="validationCustom04" placeholder="" v-model="datosDomicilioMex.entidadFederativa.valor" hidden/>
                              </div>
                            </div>
                            <div class="col-md-3" v-if="DomiciliosMexico && datosDomicilioMex.municipio">
                              <div class="mb-3">
                                <label for="validationCustom04" class="form-label">Municipio</label>
                                <input type="text" class="form-control" id="validationCustom04" placeholder="Ingrese su municipio" v-model="datosDomicilioMex.municipio.valor" disabled/>
                                <input name="municipioId" type="text" class="form-control" id="validationCustom04" placeholder="Ingrese su municipio" v-model="datosDomicilioMex.municipio.valor" hidden/>
                              </div>
                            </div>
        
                            <div class="col-md-3" v-if="DomiciliosMexico && datosDomicilioMex.localidad">
                              <div class="mb-3">
                                <label for="validationCustom03" class="form-label">Localidad</label>
                                <input type="text" class="form-control" id="validationCustom04" placeholder="Ingrese su municipio" v-model="datosDomicilioMex.localidad.valor" disabled/>        
                              </div>
                            </div>
                          </div>
        
                          <div class="col-md-4" v-if="DomiciliosMexico && datosDomicilioMex.vialidad">
                            <div class="mb-3">
                              <label for="validationCustom03" class="form-label">Tipo de calle</label>
                              <input type="text" class="form-control" id="validationCustom04" placeholder="Ingrese su municipio" v-model="datosDomicilioMex.vialidad.clave" disabled/>
                            </div>
                          </div>
        
                          
        
                            <div class="col-md-4" v-if="DomiciliosMexico && datosDomicilioMex.vialidad">
                              <div class="mb-3">
                                <label for="validationCustom03" class="form-label">Calle</label>
                                <input name="vialidad[valor]" disabled v-model="datosDomicilioMex.vialidad.valor" type="telefono"  class="form-control" id="validationCustom03" placeholder="Ingrese la calle de su domiclio"/>
                              </div>
                            </div>
        
                            <div class="col-md-2" v-if="DomiciliosMexico && datosDomicilioMex.numeroInterior">
                              <div class="mb-3">
                                <label for="validationCustom04" class="form-label">Num int.</label>
                                <input name="numeroInterior" disabled v-model="datosDomicilioMex.numeroInterior" type="number" class="form-control" id="validationCustom03" placeholder="Ingrese su numero interior"/>
                                <div class="invalid-feedback">
                                  Por favor, seleccione una opción válida.
                                </div>
                              </div>
                            </div>
                            <div class="col-md-2" v-if="DomiciliosMexico && datosDomicilioMex.numeroExterior">
                              <div class="mb-3">
                                <label for="validationCustom04" class="form-label">Num ext.</label>
                                <input name="numeroExterior" disabled v-model="datosDomicilioMex.numeroExterior" type="number" class="form-control" id="validationCustom03" placeholder="Ingrese su numero exterior" />
                                <div class="invalid-feedback">
                                  Por favor, seleccione una opción válida.
                                </div>
                              </div>
                            </div>
                            <hr class="dashed-line">
                          </div>
                        </div>  
                        <!-- Domicilio Extranjero -->
  
                          <div class="row" v-if="TipoPersona == 2 && DomiciliosExtranjero == true" v-for="(datosDomicilioExt, index) in datosDomiciliosExtranjero" :key="index">
                            <h4 class="card-title mb-4">Domicilio en el extranjero</h4>
                            <div class="row" v-if="TipoPersona == 2 && DomiciliosExtranjero == true ">
  
  
                              <div class="col-md-6" v-if="DomiciliosExtranjero && datosDomicilioExt.pais">
                                <div class="mb-3">
                                  <label for="validationCustom03" class="form-label">Pais</label>
                                  <input name="estadoProvincia" v-model="datosDomicilioExt.pais.valor" type="text" disabled class="form-control" id="validationCustom03" placeholder="Ingrese su estado"/>
                                </div>
                              </div>
                              <div class="col-md-3" v-if="DomiciliosExtranjero && datosDomicilioExt.estadoProvincia">
                                <div class="mb-3">
                                  <label for="validationCustom04" class="form-label">Estado</label>
                                  <input name="estadoProvincia" v-model="datosDomicilioExt.estadoProvincia" type="text" disabled class="form-control" id="validationCustom03" placeholder="Ingrese su estado"/>
                                  <div class="invalid-feedback">
                                    Por favor, seleccione una opción válida.
                                  </div>
                                </div>
                              </div>
                              <div class="col-md-3" v-if="DomiciliosExtranjero && datosDomicilioExt.ciudadLocalidad">
                                <div class="mb-3">
                                  <label for="validationCustom04" class="form-label">Ciudad</label>
                                  <input name="ciudadLocalidad" v-model="datosDomicilioExt.ciudadLocalidad" type="text" disabled class="form-control" id="validationCustom03" placeholder="Ingrese su ciudad"/>
                                  <div class="invalid-feedback">
                                    Por favor, seleccione una opción válida.
                                  </div>
                                </div>
                              </div>
                            </div>
    
                            <div class="row" v-if="DomiciliosExtranjero">
                              <div class="col-md-2" v-if="DomiciliosExtranjero && datosDomicilioExt.codigoPostal">
                                <div class="mb-3">
                                  <label for="validationCustom03" class="form-label">Codigo Postal</label>
                                  <input name="codigoPostal" type="text" v-model="datosDomicilioExt.codigoPostal" disabled class="form-control" id="validationCustom03" placeholder="Codigo postal"/>
                                </div>
                              </div>
                              <div class="col-md-6" v-if="DomiciliosExtranjero && datosDomicilioExt.calle">
                                <div class="mb-3">
                                  <label for="validationCustom04" class="form-label">Calle</label>
                                  <input name="calle" type="text" v-model="datosDomicilioExt.calle" disabled class="form-control" id="validationCustom03" placeholder="Ingrese su calle"/>
          
                                 
                                </div>
                              </div>
                              <div class="col-md-2" v-if="DomiciliosExtranjero && datosDomicilioExt.numeroInterior">
                                <div class="mb-3">
                                  <label for="validationCustom04" class="form-label">Número Interior</label>
                                  <input name="numeroInterior" v-model="datosDomicilioExt.numeroInterior" type="text" disabled class="form-control" id="validationCustom03" placeholder="Ingrese el número"/>
                                </div>
                              </div>
          
                              <div class="col-md-2" v-if="DomiciliosExtranjero && datosDomicilioExt.numeroExterior">
                                <div class="mb-3">
                                  <label for="validationCustom04" class="form-label">Número Exterior </label>
                                  <input name="numeroExterior" v-model="datosDomicilioExt.numeroExterior" disabled type="text" class="form-control" id="validationCustom03" placeholder="Ingrese el número"/>
                                </div>
                              </div>
                            </div>

                            <hr class="dashed-line">
                           
                            
                          </div>
                      </div>


                    <div class="tab-pane fade" id="pills-profile" role="tabpanel" aria-labelledby="pills-profile-tab">
						<h4 class="card-title mb-4">Sanciones</h4>
						<table class="table-condensed table table-bordered dt-responsive nowrap w-100 no-footer dataTable">
							<thead class="table-light">
							  <tr>
								<th scope="col">Expediente</th>
								<th scope="col">Institucion</th>
								<th scope="col">Autoridad sancionadora</th>
								<th scope="col">Tipos de Sanción</th>
								<th scope="col">Acciones</th>
							  </tr>
							</thead>
							<tbody>
								<tr v-for="dato in datosTabla" :key="dato.id" style="font-size: 15px;">
								  <td>{{ dato.expediente }}</td>
								  <td>{{ dato.institucionDependencia.nombre }}</td>
								  <td>{{ dato.autoridadSancionadora}}</td>
								  <td>
									<ul>
										<li v-for="tipo in dato.tiposSancion" :key="tipo.id">{{ tipo.valor }}</li>
									  </ul>
								  </td>
								  <td style="text-align: center; font-size: 20px;">
                    <div style="display: flex; align-items: center; margin-left: 7px;">
                      <a title="Detalles" href="#a" @click="detalles(dato.id)" style="margin-right: 8px;" class="detalles text-warning">
                        <i class="mdi mdi-eye"></i>
                      </a>
                      <form method="get" :action="route('sanciones.pdf', dato.id)">
                        <button title="Detalles" type="submit" href="#a" class="detalles text-danger">
                          <i class="fas fa-file-pdf"></i>
                        </button>
                      </form>
                    </div>
                    
								  </td>
								</tr>
							  </tbody>
						  </table>
                    </div>


                  </div>                
                  
                </div>
              </div>
</template>


<style>
	#BuscarCPDetalle{
	  width: 80px;
	  height: 40px;
	}

	#nuevoSancion{
	  height: 40px;
	}

  button.detalles {
    /* Quítale los estilos de fondo y borde */
    background: none;
    border: none;
  
    /* Anula cualquier estilo de color de texto */
    color: inherit;
    /* Anula la decoración de subrayado del enlace si se aplica */
    text-decoration: none;
  
    /* Anula el estilo de cursor de puntero si se aplica */
    cursor: auto;
  
    /* Elimina el relleno y el margen si se aplican */
    padding: 0;
    margin: 0;
  
    /* Si deseas quitar el estilo de fuente predeterminado: */
    font-family: inherit;
    font-size: inherit;
    font-weight: inherit;
  }

	.btn-primary-check{
	  background-color: #556ee6;
	  color: white;
	}


	.multiselect-wrapper {
	    height: 10px;
	    padding: .47rem 1.75rem .47rem .75rem;
	    font-size: .8125rem;
	}

	.tipoSancion {
	  height: 70px
	}

	.dashed-line {
	    border-top: 1px solid  #e6e3e3;
	    margin-top: 20px; /* Ajusta la separación si es necesario */
	}

  .multiselect-tag{
    background: #6045ca;
  }

  .dashed-line-row {
    border-top: 1px solid  #e6e3e3;
    margin-top: 20px;
    width:98%;
}

</style>